<bugID>672128<Summary>copying entire URL shouldn't copy "wyciwyg://" URIs or username/password</Summary><Description>Build Identifier:

http://hg.mozilla.org/mozilla-central/rev/da362a07a5ee
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0a1) Gecko/20110717 Firefox/8.0a1 ID:20110717030802

When I was testing Bug 672119, I found this problem.

When I copy selected text in the location bar and paste, wyciwyg://x/ is added extra.
I am not sure this is intentional or not.

*This also happens Latest Aurora7.0a2.
*This is not happens on Firefox6.0beta build2.

Reproducible: Always

Steps to Reproduce:
1. Start Firefox with New Profile (without addons)
2. Go to URL and Reload once.
3. Click "Recherche" on the left to display search fields.
4. Type "40" below "entrer le numero de l'adresse recherch&#233;e" and "rue blanche" below "entrer le nom de la rue".
5. Click "Rechercher".
6. Select text in the Locationbar of the popup window.
7. Copy selected text in the Locationbar
8. Paste it elsewhere.

Actual Results: 
  Copied text is as follows.
  wyciwyg://9/http://cartelie.application.equipement.gouv.fr/cartelie/voir.do?carte=IAL&amp;service=DRIEA_IF

Expected Results:
  Should not expose wyciwyg://x/.
  Copied text should be as follows.
  http://cartelie.application.equipement.gouv.fr/cartelie/voir.do?carte=IAL&amp;service=DRIEA_IF

Regression window:
Works:
http://hg.mozilla.org/mozilla-central/rev/48e72227c2fa
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110623 Firefox/7.0a1 ID:20110623030811
Fails:
http://hg.mozilla.org/mozilla-central/rev/5028de4c95e9
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0a1) Gecko/20110623 Firefox/7.0a1 ID:20110623013442
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=48e72227c2fa</Description></bugID>